MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031866Open CASCADE[OCCT] OCCT:Documentationpublic2020-10-21 09:512020-10-24 12:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031866: Documentation - add description to Graphic3d_NameOfMaterial enumeration values
DescriptionDescription of Graphic3d_NameOfMaterial enumeration values has been lost during conversion from CDL file. It is desired adding short description, even if it is trivial in most cases.

        enumeration NameOfMaterial is   
                    NOM_BRASS,      -- laiton       (PHYSIC)
                                        NOM_BRONZE,     -- bronze       (PHYSIC)
                                        NOM_COPPER,     -- cuivre       (PHYSIC)
                                        NOM_GOLD,       -- or           (PHYSIC)

                                        NOM_PEWTER,     -- etain        (PHYSIC)

                                        NOM_PLASTER,    -- platre       (GENERIC)
                                        NOM_PLASTIC,    -- plastic      (GENERIC)

                                        NOM_SILVER,     -- argent       (PHYSIC)

                                        NOM_STEEL,      -- acier        (PHYSIC)

                                        NOM_STONE,      -- pierre       (PHYSIC)

                                        NOM_SHINY_PLASTIC,      -- plastique brillant   (GENERIC)
                                        NOM_SATIN,      --  satin       (GENERIC)
                                        NOM_METALIZED,  -- metallise New (GENERIC)
                                        NOM_NEON_GNC,   -- neon      New (GENERIC)
                                        NOM_CHROME,     -- chrome    New (PHYSIC)
                                        NOM_ALUMINIUM,  -- aluminium New (PHYSIC)
                                        NOM_OBSIDIAN,   -- obsidian  New (PHYSIC)
                                        NOM_NEON_PHC,   -- neon      New (PHYSIC)
                                        NOM_JADE,       -- jade      New (PHYSIC)
                        NOM_DEFAULT,
                        NOM_UserDefined	-- owner material
    end NameOfMaterial;
    ---Purpose: Types of aspect materials.
    ---Category: Enumerations
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0096090)
git (administrator)
2020-10-21 10:24

Branch CR31866 has been created by kgv.

SHA-1: 4f0ea60b8693207c0f655f93ad0a1285557a7842


Detailed log of new commits:

Author: kgv
Date: Wed Oct 21 10:28:12 2020 +0300

    0031866: Documentation - add description to Graphic3d_NameOfMaterial enumeration values
(0096091)
kgv (developer)
2020-10-21 10:25
edited on: 2020-10-21 10:58

Patch is ready for review
- OCCT branch: CR31866_1.

Testing is not needed.

(0096092)
git (administrator)
2020-10-21 10:58

Branch CR31866_1 has been created by kgv.

SHA-1: 8514b73d4d1ff61c4f1410565c722e1b78c6472e


Detailed log of new commits:

Author: kgv
Date: Wed Oct 21 10:28:12 2020 +0300

    0031866: Documentation - add description to Graphic3d_NameOfMaterial enumeration values
    
    Enumeration values have been renamed to use complete prefix Graphic3d_NOM_ -> Graphic3d_NameOfMaterial_
    and to match string names (with old values preserved as aliases).
(0096099)
git (administrator)
2020-10-21 12:37

Branch CR31866_1 has been updated forcibly by kgv.

SHA-1: b3119b40892a53cbf9ce785956807380a0ee2286
(0096126)
osa (developer)
2020-10-22 09:32

The patch was reviewed without remarks
(0096192)
bugmaster (administrator)
2020-10-24 12:18

Combination -
OCCT branch : IR-2020-10-23
master SHA - 9f9490e1ae0eaf38507437019a117437c6317225
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-23 SHA - 4594c3ef5cc6ec5816231ba88e2a4863a25a06d2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18000.12000000008 / 18036.38000000013 [-0.20%]
Products
Total CPU difference: 12171.670000000115 / 12174.520000000093 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19723.78125 / 19746.3125 [-0.11%]
Products
Total CPU difference: 13538.390625 / 13565.046875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096212)
git (administrator)
2020-10-24 12:41

Branch CR31866_1 has been deleted by inv.

SHA-1: b3119b40892a53cbf9ce785956807380a0ee2286
(0096214)
git (administrator)
2020-10-24 12:41

Branch CR31866 has been deleted by inv.

SHA-1: 4f0ea60b8693207c0f655f93ad0a1285557a7842

- Related Changesets
occt: master a966542b
Timestamp: 2020-10-21 07:28:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031866: Documentation - add description to Graphic3d_NameOfMaterial enumeration values

Enumeration values have been renamed to use complete prefix Graphic3d_NOM_ -> Graphic3d_NameOfMaterial_
and to match string names (with old values preserved as aliases).
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/ios/UIKitSample/UIKitSample/OcctViewer.mm Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ColoredShapes.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/OCCDemo_Presentation.h Diff ] File ]
mod - samples/qt/Tutorial/src/DocumentTut.cxx Diff ] File ]
mod - samples/webgl/main.cpp Diff ] File ]
mod - src/AIS/AIS_CameraFrustum.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.cxx Diff ] File ]
mod - src/AIS/AIS_PointCloud.cxx Diff ] File ]
mod - src/AIS/AIS_RubberBand.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.cxx Diff ] File ]
mod - src/AIS/AIS_ViewCube.hxx Diff ] File ]
mod - src/AIS/AIS_XRTrackedDevice.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_NameOfMaterial.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_ElementalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Tool.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cxx Diff ] File ]
mod - src/PrsDim/PrsDim_Dimension.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/V3d/V3d_Plane.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_OpenGlCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-21 09:51 kgv New Issue
2020-10-21 09:51 kgv Assigned To => abv
2020-10-21 09:52 kgv Relationship added child of 0024002
2020-10-21 09:52 kgv Summary Documentation - missing description of Graphic3d_NameOfMaterial enumeration values => Documentation - add description to Graphic3d_NameOfMaterial enumeration values
2020-10-21 10:24 git Note Added: 0096090
2020-10-21 10:25 kgv Note Added: 0096091
2020-10-21 10:25 kgv Assigned To abv => osa
2020-10-21 10:25 kgv Severity minor => trivial
2020-10-21 10:25 kgv Status new => resolved
2020-10-21 10:58 git Note Added: 0096092
2020-10-21 10:58 kgv Note Edited: 0096091 View Revisions
2020-10-21 12:37 git Note Added: 0096099
2020-10-22 09:32 osa Note Added: 0096126
2020-10-22 09:32 osa Assigned To osa => bugmaster
2020-10-22 09:32 osa Status resolved => reviewed
2020-10-24 12:18 bugmaster Note Added: 0096192
2020-10-24 12:18 bugmaster Status reviewed => tested
2020-10-24 12:23 bugmaster Test case number => Not required
2020-10-24 12:30 bugmaster Changeset attached => occt master a966542b
2020-10-24 12:30 bugmaster Status tested => verified
2020-10-24 12:30 bugmaster Resolution open => fixed
2020-10-24 12:41 git Note Added: 0096212
2020-10-24 12:41 git Note Added: 0096214


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker